[Armadeus-commitlog] armadeus branch, master, updated. armadeus-6.0-336-gd6fbc0a
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2017-10-03 08:28:28
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via d6fbc0a4406e45416759dcbe6451771101a002a5 (commit)
via 5789d321f6245fd08966b76afeba0506bdbfa3c8 (commit)
from fbb0a22e9ac7882f2f5a66082cfc554850172479 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit d6fbc0a4406e45416759dcbe6451771101a002a5
Author: Julien BOIBESSOT <jul...@ar...>
Date: Mon Oct 2 16:51:17 2017 +0200
[ROOTFS] S30wifi: fixes error messages on 4.x+ kernels (WI_EN handled inside kernel and not externally). Speed up chip reset while we are at it.
commit 5789d321f6245fd08966b76afeba0506bdbfa3c8
Author: Julien BOIBESSOT <jul...@ar...>
Date: Mon Oct 2 16:47:57 2017 +0200
Indentation
-----------------------------------------------------------------------
Summary of changes:
.../rootfs/target_overlay/etc/init.d/S30wifi | 26 ++++++++++-----
.../rootfs/target_skeleton/etc/init.d/S30wifi | 38 +++++++++++++---------
2 files changed, 40 insertions(+), 24 deletions(-)
diff --git a/buildroot/target/device/armadeus/rootfs/target_overlay/etc/init.d/S30wifi b/buildroot/target/device/armadeus/rootfs/target_overlay/etc/init.d/S30wifi
index 91e738e..c768640 100755
--- a/buildroot/target/device/armadeus/rootfs/target_overlay/etc/init.d/S30wifi
+++ b/buildroot/target/device/armadeus/rootfs/target_overlay/etc/init.d/S30wifi
@@ -4,26 +4,34 @@
#
start_chip() {
+ res=0
if [ ! -d /sys/class/gpio/gpio40 ]; then
- echo 40 > /sys/class/gpio/export
+ echo 40 > /sys/class/gpio/export 2>/dev/null
+ res=$?
+ fi
+ if [ "$res" != "0" ]; then
+ # On > 4.x kernels gpio40 (WI_EN) is driven by sdhc driver
+ return
fi
-
echo out > /sys/class/gpio/gpio40/direction
-
- sleep 1
+ usleep 100000
echo 1 > /sys/class/gpio/gpio40/value
- sleep 1
+ usleep 100000
echo 0 > /sys/class/gpio/gpio40/value
- sleep 1
+ usleep 100000
echo 1 > /sys/class/gpio/gpio40/value
- sleep 1
+ usleep 100000
}
stop_chip() {
+ res=0
if [ ! -d /sys/class/gpio/gpio40 ]; then
- echo 40 > /sys/class/gpio/export
+ echo 40 > /sys/class/gpio/export 2>/dev/null
+ res=$?
+ fi
+ if [ "$res" != "0" ]; then
+ return
fi
-
echo out > /sys/class/gpio/gpio40/direction
sleep 1
}
diff --git a/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/init.d/S30wifi b/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/init.d/S30wifi
index 2284242..c768640 100755
--- a/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/init.d/S30wifi
+++ b/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/init.d/S30wifi
@@ -4,26 +4,34 @@
#
start_chip() {
+ res=0
if [ ! -d /sys/class/gpio/gpio40 ]; then
- echo 40 > /sys/class/gpio/export
+ echo 40 > /sys/class/gpio/export 2>/dev/null
+ res=$?
+ fi
+ if [ "$res" != "0" ]; then
+ # On > 4.x kernels gpio40 (WI_EN) is driven by sdhc driver
+ return
fi
-
echo out > /sys/class/gpio/gpio40/direction
-
- sleep 1
+ usleep 100000
echo 1 > /sys/class/gpio/gpio40/value
- sleep 1
+ usleep 100000
echo 0 > /sys/class/gpio/gpio40/value
- sleep 1
+ usleep 100000
echo 1 > /sys/class/gpio/gpio40/value
- sleep 1
+ usleep 100000
}
stop_chip() {
+ res=0
if [ ! -d /sys/class/gpio/gpio40 ]; then
- echo 40 > /sys/class/gpio/export
+ echo 40 > /sys/class/gpio/export 2>/dev/null
+ res=$?
+ fi
+ if [ "$res" != "0" ]; then
+ return
fi
-
echo out > /sys/class/gpio/gpio40/direction
sleep 1
}
@@ -55,7 +63,7 @@ restart() {
calibrate() {
if [ ! -z "$1" ]; then
echo "Calibrating"
-
+
stop
calibrator set ref_nvs /usr/share/ti-utils/ini_files/127x/TQS_S_2.6.ini
@@ -79,17 +87,17 @@ calibrate() {
case "$1" in
start)
- start
+ start
;;
stop)
- stop
+ stop
;;
restart|reload)
- restart
+ restart
;;
calibrate)
- calibrate "$2"
- ;;
+ calibrate "$2"
+ ;;
*)
echo $"Usage: $0 {start|stop|restart|calibrate <MAC address>}"
exit 1
hooks/post-receive
--
armadeus
|